# content_parse_docstrings module

This module has a serious docstring. And a Class.

And module details as well.

## Classes

class Class
  This class has a serious docstring. With a multi-line summary. Relative reference to a_property works even from a summary.

## Enums

class Enum(enum.Enum): VALUE = 3 ANOTHER = 4
  This enum has a serious docstring. VALUE works from a summary.

## Functions

def empty_docstring()
def function(a: str, b: int) -> float
  This function() has a serious docstring.
def summary_only()
  This is just a summary.
def this_function_has_bad_docs(a, b) -> str

## Enum documentation

### class content_parse_docstrings.Enum(enum.Enum)

This enum has a serious docstring. VALUE works from a summary.

Enumerators |
--- | ---
VALUE | Enum value docstrings are processed as well. The ANOTHER value is documented from within the Enum itself.
ANOTHER | Values can be documented from a docstring, too.

And enum details as well.

## Function documentation

### def content_parse_docstrings.function(a: str, b: int) -> float

This function() has a serious docstring.

Parameters
a | And parameter docs, referring to function() as well. On multiple lines.
b | Wow.
Returns | This too. In the function().

And details. Amazing.